Exec { timeout => 300 }

$neutron_db_host = '192.168.100.243'
$neutron_db_name = 'ovs_neutron'
$neutron_db_user = 'neutron'
$neutron_db_password = 'redhat'
$neutron_sql_connection = "mysql://${neutron_db_user}:${neutron_db_password}@${neutron_db_host}/${neutron_db_name}"

$neutron_user_password = 'redhat'

class { 'neutron':
  rpc_backend => 'neutron.openstack.common.rpc.impl_qpid',
  qpid_hostname => '192.168.100.243',
  core_plugin => 'neutron.plugins.openvswitch.ovs_neutron_plugin.OVSNeutronPluginV2',
  allow_overlapping_ips => true,
  verbose => true,
  qpid_port       => '5672',
  qpid_protocol   => 'tcp'
}

class { 'neutron::server':
  auth_password => $neutron_user_password,
  auth_host => '192.168.100.243',
  enabled => true,
}

# Create firewall rules to allow only the hosts that need to connect
# to neutron

$hosts = [ '192.168.100.243','192.168.200.161' ]

define add_allow_host {
    firewall { "001 neutron incoming ${title}":
        proto  => 'tcp',
        dport  => ['9696'],
        action => 'accept',
        source => $title,
    }
}

add_allow_host {$hosts:}

class { 'neutron::plugins::ovs':
  tenant_network_type => 'gre',
  network_vlan_ranges => 'phynet1',
  tunnel_id_ranges => '1:1000',
  sql_connection      => $neutron_sql_connection
}

class { 'neutron::agents::l3':
  interface_driver        => 'neutron.agent.linux.interface.OVSInterfaceDriver',
  external_network_bridge => 'br-ex',
}

sysctl::value { 'net.ipv4.ip_forward':
  value => '1'
}


vs_bridge { 'br-ex':
  ensure => present,
  require => Service['neutron-plugin-ovs-service']
}


if "eth1" {
  $localip = $ipaddress_eth1
} else {
  $localip = '192.168.100.243'
}

class { 'neutron::agents::ovs':
  bridge_mappings => [],
  enable_tunneling => true,
  local_ip => $localip,
}


class { 'neutron::agents::dhcp':
  interface_driver => 'neutron.agent.linux.interface.OVSInterfaceDriver',
}


class {'neutron::agents::metadata':
  auth_password => 'redhat',
  auth_url      => 'http://192.168.100.243:35357/v2.0',
  shared_secret => 'redhat',
  metadata_ip   => '192.168.100.243',
}

