Exec { timeout => 300 }

class { 'mongodb':
    enable_10gen => false,
    port         => '27017',
    before       => Class['ceilometer::db'],
    require      => Firewall['001 mongodb incoming localhost'],
}

firewall { '001 mongodb incoming localhost':
    proto       => 'tcp',
    dport       => ['27017'],
    iniface     => 'lo',
    #source      => 'localhost',
    #destination => 'localhost',
    action      => 'accept',
}

class { 'ceilometer':
    metering_secret => 'c3b072ac45a54fed',
    qpid_hostname   => '192.168.100.243',
    rpc_backend     => 'ceilometer.openstack.common.rpc.impl_qpid',
    verbose         => true,
    debug           => false,
    qpid_port       => '5672',
    qpid_protocol   => 'tcp'
}

class { 'ceilometer::db':
    database_connection => 'mongodb://localhost:27017/ceilometer',
    require             => Class['mongodb'],
}

class { 'ceilometer::collector':
    require => Class['mongodb'],
}

class { 'ceilometer::agent::auth':
    auth_url      => 'http://192.168.100.243:35357/v2.0',
    auth_password => 'redhat',
}

class { 'ceilometer::agent::central':
}

class { 'ceilometer::alarm::notifier':
}

class { 'ceilometer::alarm::evaluator':
}

class { 'ceilometer::api':
    keystone_host     => '192.168.100.243',
    keystone_password => 'redhat',
    require           => Class['mongodb'],
}
# Create firewall rules to allow only the hosts that need to connect
# to ceilometer-api

$hosts = [ '192.168.100.243' ]

define add_allow_host {
    firewall { "001 ceilometer-api incoming ${title}":
        proto  => 'tcp',
        dport  => ['8777'],
        action => 'accept',
        source => $title,
    }
}

add_allow_host {$hosts:}
