Exec { timeout => 300 }


package {"horizon-packages":
    name => ["python-memcached", "python-netaddr"],
    notify => Class["horizon"],
}

file {"/etc/httpd/conf.d/rootredirect.conf":
    ensure => present,
    content => 'RedirectMatch ^/$ /dashboard/',
    notify => File["/etc/httpd/conf.d/openstack-dashboard.conf"],
}

class {'horizon':
   secret_key => '7f84bc6295c14714b0fe97bce8789e06',
   keystone_host => '192.168.100.243',
   fqdn => ['192.168.100.243', "$::fqdn"],
   can_set_mount_point => 'False',
}

class {'memcached':}

class {'apache::mod::php': }
# The apache module purges files it doesn't know about
# avoid this be referencing them here
file { '/etc/httpd/conf.d/nagios.conf':}

firewall { '001 horizon incoming':
    proto    => 'tcp',
    dport    => ['80'],
    action   => 'accept',
}

if ($::selinux != "false"){
    selboolean{'httpd_can_network_connect':
        value => on,
        persistent => true,
    }
}
